#
# spec file for package python-node-semver
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-node-semver
Version:        0.9.0
Release:        1.7
Summary:        Port of node-semver
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/podhmo/python-node-semver
Source:         https://github.com/podhmo/python-node-semver/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  %{python_module base}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# See https://github.com/k-bx/python-semver/issues/67 for why conflicts is needed
Conflicts:      python-semver
BuildArch:      noarch
%python_subpackages

%description
python version of node-semver (https://github.com/isaacs/node-semver)

%prep
%setup -q -n python-node-semver-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/node_semver-%{version}-py*.egg-info
%{python_sitelib}/nodesemver

%changelog
* Tue Feb 28 2023 Dirk Müller <dmueller@suse.com>
- update to 0.9.0:
  * RENAME MODULE semver -> nodesemver
  * pre release range fix
* Mon Jan  2 2023 Dirk Müller <dmueller@suse.com>
- update to 0.8.1:
  * fix erroneous parsing of $ component version numbers
* Mon Mar 30 2020 pgajdos@suse.com
- version update to 0.8.0
  * handle 4-digit version correctly (#35)
* Thu Oct  3 2019 John Vandenberg <jayvdb@gmail.com>
- Add Conflicts: python-semver
* Tue Aug 13 2019 Martin Pluskal <mpluskal@suse.com>
- Update to version 0.7.0:
  * Include tests in source distributions
* Thu Jan 10 2019 Martin Pluskal <mpluskal@suse.com>
- Update to version 0.6.0:
  * more strict error handling (InvalidTypeIncluded is added)
- Changes for version 0.5.1:
  * bug fix
- Changes for version 0.5.0:
  * include_prerelease option is added
* Thu Oct 11 2018 Martin Pluskal <mpluskal@suse.com>
- Update to version 0.4.2:
  * fix bug for support 4-digit (handling prelease and build)
  * suport 4-digit version (e.g. x.y.z.a)
* Fri Feb  9 2018 mpluskal@suse.com
- Update to version 0.3.0:
  * drop python2.x support
  * bug fix, Add sort key function #14
* Mon Dec 25 2017 mpluskal@suse.com
- Use github source
- Run tests
* Mon Dec 25 2017 mpluskal@suse.com
- Cleanup specfile
* Wed Oct 25 2017 dan.weatherill@cantab.net
- generate package from pyPI using py2pack
